from .custom import translations as custom_translations


"""
ja locale file.

It has been generated automatically and must not be modified directly.
"""


locale = {
    "plural": lambda n: "other",
    "ordinal": lambda n: "other",
    "translations": {
        "days": {
            "abbreviated": {
                0: "日",
                1: "月",
                2: "火",
                3: "水",
                4: "木",
                5: "金",
                6: "土",
            },
            "narrow": {
                0: "日",
                1: "月",
                2: "火",
                3: "水",
                4: "木",
                5: "金",
                6: "土",
            },
            "short": {
                0: "日",
                1: "月",
                2: "火",
                3: "水",
                4: "木",
                5: "金",
                6: "土",
            },
            "wide": {
                0: "日曜日",
                1: "月曜日",
                2: "火曜日",
                3: "水曜日",
                4: "木曜日",
                5: "金曜日",
                6: "土曜日",
            },
        },
        "months": {
            "abbreviated": {
                1: "1月",
                2: "2月",
                3: "3月",
                4: "4月",
                5: "5月",
                6: "6月",
                7: "7月",
                8: "8月",
                9: "9月",
                10: "10月",
                11: "11月",
                12: "12月",
            },
            "narrow": {
                1: "1",
                2: "2",
                3: "3",
                4: "4",
                5: "5",
                6: "6",
                7: "7",
                8: "8",
                9: "9",
                10: "10",
                11: "11",
                12: "12",
            },
            "wide": {
                1: "1月",
                2: "2月",
                3: "3月",
                4: "4月",
                5: "5月",
                6: "6月",
                7: "7月",
                8: "8月",
                9: "9月",
                10: "10月",
                11: "11月",
                12: "12月",
            },
        },
        "units": {
            "year": {
                "other": "{0} 年",
            },
            "month": {
                "other": "{0} か月",
            },
            "week": {
                "other": "{0} 週間",
            },
            "day": {
                "other": "{0} 日",
            },
            "hour": {
                "other": "{0} 時間",
            },
            "minute": {
                "other": "{0} 分",
            },
            "second": {
                "other": "{0} 秒",
            },
            "microsecond": {
                "other": "{0} マイクロ秒",
            },
        },
        "relative": {
            "year": {
                "future": {
                    "other": "{0} 年後",
                },
                "past": {
                    "other": "{0} 年前",
                },
            },
            "month": {
                "future": {
                    "other": "{0} か月後",
                },
                "past": {
                    "other": "{0} か月前",
                },
            },
            "week": {
                "future": {
                    "other": "{0} 週間後",
                },
                "past": {
                    "other": "{0} 週間前",
                },
            },
            "day": {
                "future": {
                    "other": "{0} 日後",
                },
                "past": {
                    "other": "{0} 日前",
                },
            },
            "hour": {
                "future": {
                    "other": "{0} 時間後",
                },
                "past": {
                    "other": "{0} 時間前",
                },
            },
            "minute": {
                "future": {
                    "other": "{0} 分後",
                },
                "past": {
                    "other": "{0} 分前",
                },
            },
            "second": {
                "future": {
                    "other": "{0} 秒後",
                },
                "past": {
                    "other": "{0} 秒前",
                },
            },
        },
        "day_periods": {
            "midnight": "真夜中",
            "am": "午前",
            "noon": "正午",
            "pm": "午後",
            "morning1": "朝",
            "afternoon1": "昼",
            "evening1": "夕方",
            "night1": "夜",
            "night2": "夜中",
        },
    },
    "custom": custom_translations,
}
